GetDocument
curl --request POST \
--url https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetDocument \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetDocument"
payload = { "documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({documentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetDocument', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"contentType": "<string>",
"sizeBytes": "<string>",
"name": "<string>",
"originalUrl": "<string>",
"originalMd5": "<string>",
"nrOfPages": "<string>",
"thumbnailUrl": "<string>",
"pdfUrl": "<string>",
"pageImageUrls": [
"<string>"
],
"hasParsedMarkdown": true,
"parsedMarkdown": "<string>"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}rpc.v1.OrganizationService
GetDocument
Get deep information of a single email receipt
POST
/
rpc
/
rpc.v1.OrganizationService
/
GetDocument
GetDocument
Authorizations
Personal API key, sent as Authorization: Bearer <key>.
Headers
Define the version of the Connect protocol
Example:
1
Define the timeout, in ms
Example:
1000
Body
application/json
request for getting a single document
id of the document set
Response
Success
response of requesting a document
id of the document
content type of the document
size of the documetn in bytes
name of the document in the set
original upload url
original md5 url
number of pages
url to the thumbnail
url to the (converted) pdf
urls to page images
indicates if the document has a parsed markdown representation
the parsed markdown